Subject: Re: [PATCH v3] builtin/refs: add '--skip-reflog' flag to bypass reflog migration

From: Junio C Hamano <[email-masked]>
Date: Wed, 19 Feb 2025 13:37:34 -0800

Karthik Nayak <[email-masked]> writes:

> I share the same reaction. I didn't consider that flow of thought at
> all. So I too agree with name change. Let me push in a new version.
> Although I'm not sure if, Junio, you want to wait for the `git reflog
> drop` command that we were discussing before accepting this topic [1].
> I'll leave that to your discretion.

Well, from my point of view, "reflog drop", if can be done for both
files and reftable without too much hassle, would be a greater
addition to the toolset than the value "you can drop while
migrating, but you need to remember to pass that option" gives us
;-)

So it really depends on how involved the work to add "drop" thing
would be.

Thanks.